%define gittag b3cb224
%define		major		1
%define		libname		%mklibname OpenColorIO %{major}
%define		develname	%mklibname OpenColorIO -d

Name:		opencolorio
Version:	1.0.9
Release:	%mkrel 1
Summary:	A complete color management solution
Group:		System/Libraries
License:	BSD
URL:		http://opencolorio.org/
Source0:	https://github.com/imageworks/OpenColorIO/archive/v%{version}.tar.gz
Patch0:		opencolorio-1.0.9-git-Add-support-for-yaml-cpp-0.5.1.patch
# Fix issue introduced by the previous patch:
# mga#13767 and https://github.com/imageworks/OpenColorIO/issues/369
Patch1:		opencolorio-1.0.9-git-OCIOYaml-Fixed-dereference-of-temporary-with-yaml-cpp-0.5.x.patch

BuildRequires:	cmake
BuildRequires:  help2man
BuildRequires:	python-devel
BuildRequires:	%{_lib}boost-devel
BuildRequires:	%{_lib}OpenImageIO-devel
BuildRequires:	mesa-common-devel
BuildRequires:	%{_lib}xmu-devel
BuildRequires:	%{_lib}xi-devel
BuildRequires:	%{_lib}glew-devel
BuildRequires:	%{_lib}freeglut-devel
BuildRequires:	%{_lib}lcms2-devel
BuildRequires:	%{_lib}tinyxml-devel
BuildRequires:  zlib1-devel
BuildRequires:	%{_lib}yaml-cpp-devel


%description
OpenColorIO (OCIO) is a complete color management solution geared towards
motion picture production with an emphasis on visual effects and computer
animation. OCIO provides a straightforward and consistent user experience
across all supporting applications while allowing for sophisticated
back-end configuration options suitable for high-end production usage.
OCIO is compatible with the Academy Color Encoding Specification (ACES)
and is LUT-format agnostic, supporting many popular formats.

%package -n %{libname}
Summary:	A complete color management solution
Group:		System/Libraries

%description -n %{libname}
A complete color management solution.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name} library.

%prep
%setup -qn OpenColorIO-%{version}
%apply_patches

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON \
	-DOCIO_BUILD_STATIC:BOOL=OFF \
	-DUSE_EXTERNAL_YAML:BOOL=ON \
	-DUSE_EXTERNAL_TINYXML:BOOL=ON \
	-DUSE_EXTERNAL_LCMS:BOOL=ON \
	-DOCIO_BUILD_PYGLUE:BOOL=OFF
%make

%install
%makeinstall_std -C build

%files
%{_bindir}/*
%{_datadir}/ocio

%files -n %{libname}
%{_libdir}/libOpenColorIO.so.%{major}
%{_libdir}/libOpenColorIO.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/OpenColorIO


%changelog
* Fri Jul 24 2015 pp <pp> 1.0.9-1pclos2015
- update

* Wed Jul 24 2013 sander85 <sander85> 1.0.8-1pclos2013
- imported package opencolorio

